<?php
require('fpdf/fpdf.php');
define('FPDF_FONTPATH', 'fpdf/font/'); 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);


//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$sessao = new sessao();
$controle=$sessao->getVar('controle');//esta variavel que que controlara se vai ser laudo basico,singenta,rondonopolis etc
$controle1=$sessao->getVar('controle1');
$tipoDoc=$sessao->getVar('controle3');
$cliente=$sessao->getVar('cliente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$idDoc=$sessao->getVar('transfere');

//echo("amostralong= $amostraLong  controle= $controle<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
//AQUI DEFINE AS COLUNAS
//como funcionam estas colunas?
//a grade tetezazolio esta na classe calculo e tem 36 colunas fixas
//eu digo para o computador quais as colunas da grade  tetrazolio que eu quero no formato
//SE O CLIENTE QUISER ALGUMA COLUNA A MAIS EU VENHO AQUI E ACRESCENTO SO NO MODELO
$LI=10;//LI=LARGURA IGUAL  ONDE NAO FOR LI EU VOU LA E ESCRE O NUMERO
$cota2=30;
$cota8=200;

    $vetorIndice[1]=1;   $vetorLargura[1]=5;//amostra
    $vetorIndice[2]=1;   $vetorLargura[2]=20;//lote
    $vetorIndice[3]=39;   $vetorLargura[3]=52.8;//cultivar era largura=30
    $vetorIndice[4]=1;    $vetorLargura[4]=13.2;//
    $vetorIndice[5]=2;    $vetorLargura[5]=10.2;//
    $vetorIndice[6]=3;    $vetorLargura[6]=10;//
    $vetorIndice[7]=4;    $vetorLargura[7]=10.5;//
    $vetorIndice[8]=5;    $vetorLargura[8]=6.6;//
    $vetorIndice[9]=6;    $vetorLargura[9]=5.3;//
    $vetorIndice[10]=7;   $vetorLargura[10]=9.3;//
    $vetorIndice[11]=8;   $vetorLargura[11]=8.1;//
    $vetorIndice[12]=9;   $vetorLargura[12]=8.2;//
    $vetorIndice[13]=10;  $vetorLargura[13]=8.1;//
    $vetorIndice[14]=11;  $vetorLargura[14]=7.4;//
    $vetorIndice[15]=12;  $vetorLargura[15]=7.4;//
    $vetorIndice[16]=13;  $vetorLargura[16]=5.5;//
    $vetorIndice[17]=14;  $vetorLargura[17]=8.3;//
    $vetorIndice[18]=15;  $vetorLargura[18]=8.6;//
    $vetorIndice[19]=16;  $vetorLargura[19]=9.4;//
    $vetorIndice[20]=17;  $vetorLargura[20]=7.6;//
    $vetorIndice[21]=18;  $vetorLargura[21]=7.6;//
    $vetorIndice[22]=18;  $vetorLargura[22]=7.8;//
    $vetorIndice[23]=18;  $vetorLargura[23]=8.0;//
    $vetorIndice[24]=18;  $vetorLargura[24]=7.7;//
    $vetorIndice[25]=18;  $vetorLargura[25]=8.0;//
    $vetorIndice[26]=18;  $vetorLargura[26]=10.2;//
    $vetorIndice[27]=18;  $vetorLargura[27]=9.8;//


$limite=sizeof($vetorIndice);
$vetorCabecalho=$objetocalculo->dadoslaboratorio();

$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
		
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 //$maximoLAdobe=297;//isso para horizontal
			 //$maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $pdf->AddPage();//adicionando a primera pafina 
             $pdf->SetFont('Arial','',8);
			 

			 

     //LINHAS LATERAIS DO CORPO DO DOCUMENTO
	 //$pdf->Line($margemDireita,$cota2,$margemDireita,$cota8);	//linha direita
	 //$pdf->Line($margemEsquerda,$cota2,$margemDireita,$cota2);//linha externa superior	
	 //$pdf->Line($margemEsquerda,$cota2,$margemEsquerda,$cota8);//linha externa esquerda	
	 //$pdf->Line($margemEsquerda,$cota8,$margemDireita,$cota8);//ULTIMA LINHA DO RELATORIO	



			 //cabecalho
			//captura dados do documento , o numero a especie o remetente etc
			$vetorDadosDocumento=$objetocalculo->dados_gerais_documento($idDoc);

			//$pdf->Line($margemEsquerda,1,$margemDireita,1);//LINHA vertical  DO CABECALHO	
			// $pdf-> Rect($margemEsquerda,1,$margemDireita-10,27);
			//$PDF -> Ln(4);
			//$PDF -> Rect(3,10,5,5,'F');
	         $pdf->SetFont('Arial','B',11);
			
			 $vetorLaboratorio=$objetocalculo->dadoslaboratorio();
			 $posicaoCab1=60;
			 //imprime o timbre
			 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
			 $pdf->Image($caminhoFinal,11,3,48,23,'JPG');
			 //imprime a imagem fundo do informe
			 $caminhoFinal="Imagens/informeJatai.jpg";
			 $pdf->Image($caminhoFinal,$margemEsquerda,69,195,104,'JPG');

			 
			 
			 
	         $pdf->SetFont('Arial','',10);
			 $cota1=3; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[0]),0,1,'C');//lab nome
			 $cota1=7; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[1]),0,1,'C');//lab nome
			 $cota1=11;$pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[2]."  ". $vetorLaboratorio[3]),0,1,'C');//lab nome
			 $cota1=22;
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larguraUtil,5,utf8_decode('Informe de Resultados  Nº '.$vetorDadosDocumento[1]),0,1,'C');//lab nome             
			 
			 $cota1=39; 
		     //$pdf->SetFont('Arial','',8);
			 $pdf->setXY($margemEsquerda,$cota1);
		     $pdf->Cell(120,$larguraDaLinha,'Requerente:'.utf8_decode($vetorDadosDocumento[0]) ,0,0,'L');
		     $pdf->Cell(120,$larguraDaLinha,'Recebimento:'. $vetorDadosDocumento[12] ,0,0,'L');
			 $pdf->setXY($margemEsquerda,$cota1+4);
		     $pdf->Cell(120,$larguraDaLinha,utf8_decode('Endereço:'.$vetorDadosDocumento[8]) ,0,0,'L');
		     $pdf->Cell(120,$larguraDaLinha,utf8_decode('Telefone:'.$vetorDadosDocumento[33]) ,0,0,'L');
			 
			 $pdf->setXY($margemEsquerda,$cota1+8);
		     $pdf->Cell(120,$larguraDaLinha,utf8_decode('xxxxxx:'.$vetorDadosDocumento[8]) ,0,0,'L');
		     $pdf->Cell(120,$larguraDaLinha,utf8_decode('Município:'.$vetorDadosDocumento[35]) ,0,0,'L');

             
			 $cota1=49;
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larguraUtil,10,utf8_decode("PROIBIDA A COMERCIALIZAÇÃO Art.84, $1º e $2º, do Decreto nº5.153, de 23.07.04." ),1,1,'C',1);//lab nome

//captura o numero de registros e as id das amostras atraves da leitura da tabela documentosponte amarrada com a id do documento
//ENTRA DE QUAKQUER MANEIRA
//echo("3xxxxxxxxxxxxxxidDocumento= $idDoc<br>");

$genericaPonte=new tabelagenerica();
$genericaPonte->tabela="documentosponte";
$genericaPonte->campos_valores = array(
		"dpo_amostra_vinculada" => NULL,
	);
$genericaPonte->extras_select =" where  dpo_documento_autonumerador=".$idDoc." order by dpo_amostra_vinculada LIMIT 15";
//echo("eeeeexxxxxxxxxxxxxxxxxxxxxxxxxxeeeeeeerro $generica->extras_select <br>");
$genericaPonte->selecionaCampos($genericaPonte);
//echo("4xxxxxxxxxxxxxxidDocumento= $idDoc  contaAmostras =$contaAmostras $vetorDPO[1]<br>");
//vai pegar os dados da amopstra la na classe calculo pois ja tem a id da amostra
 //resultaso sao impressoas a partr da cota 3 car em cima da  linha divisoria muito grossa
 $alturaLinhaResultados=8;//define a largura das linhas de resultados
$contador=1;
$modalidadeArquivada=8;	
if($clienteReduzido=='TS L'):
   $pdf->SetFont('Arial','',10);
else:
   $pdf->SetFont('Arial','',6);
endif;   
$indiceVetorNomesContaminantes=0;//precisa ficar fora do while porque vai criar um vetor juntando os contaminantes
$contaAmostras=0;
while ($resgenericaPonte = $genericaPonte->retornaDados()):
    $contaAmostras++;
    $amostraLong=$resgenericaPonte->dpo_amostra_vinculada;
    $vetorAmostraBruto=$objetocalculo->capturaGeralAmostra($amostraLong);//captura TUDO 
	$testesConcatenados="-".$vetorAmostraBruto[44];//coloquei um espaco antes para que a primeira posicao encontrada nao ficar valendo zero nunca

	$contaminanteAcumulado="Amostra:" .$vetorAmostraBruto[1];
	$iniciando="SIM";	
    //aqui vai achar o teste de tetrazolio 
	//aqui acha a viabilidade. sE FOR SOJA OU FEIJAO ele pega de uma forma e se na ofr entao subentende que é forrageira
    $viabilidadeFinal='-N-';
	$vigorFinal='-N-';
	
	if(substr($especiex,0,4)=='SOJA' || substr($especiex,0,4)=='FEIJ'):
        $tipo="SOJA";
        //echo("chanan,dp a clase especiex $especiex<br>");
        $matrizResumo=$objetocalculo->resumoTetrazolioCalculado($amostraLong);
	    //$matrizResumo=$objetocalculo->calculaTetrazolioSojaABC($amostraLong);
	    //ELE TRAZ NA VERDADE 4 LINHAS 0=CABECALHO  3=CONTEM O RESUMO dos resuultados
		$registrosRep1=$matrizResumo[1][19];
		$registrosRep2=$matrizResumo[2][19];
		//$vigorFinal=$matrizResumo[3][11];//nao deletar esta linha pois ajuda entender que pode pegar a viabilidae e o vigor desta forma
		$viabilidadeFinal=$matrizResumo[3][10];
	    $vigorFinal=$objetocalculo->captura_OD_Especifica($amostraLong,'TZO');
		$i22=$matrizResumo[3][10];	
        $i23=$matrizResumo[3][11];	
	else:
       $tipo="FORRAGEIRA";
       //aqui trabalha se for forrageiras
	   $viabilidadeFinal=$objetocalculo->calculaTetrazolioForrageira($amostraLong,$modalidadeArquivada);//viabilidae forrageira
	   //$viabilidadeFinal='34';
	   $vigorFinal='-O-';
	   $i22=$viabilidadeFinal;	
       $i23=$vigorFinal;	
	endif;//testa se é soja ou forrageira pois se for forrageira a viabilidade é tomada de forma diferente
	
	$vetorResultados[1][$contaAmostras]=$vetorAmostraBruto[1].'/'.substr($vetorAmostraBruto[36],0,4);//amostra
	$vetorResultados[2][$contaAmostras]=substr($vetorAmostraBruto[32],0,12);//ESPECIE
	$vetorResultados[3][$contaAmostras]=substr($vetorAmostraBruto[31],0,12);//cultivar
	$vetorResultados[4][$contaAmostras]=$vetorAmostraBruto[2];//lote
    $vetorResultados[5][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'DTU');//UMIDADE
	$vetorResultados[6][$contaAmostras]=$vetorAmostraBruto[4];//puras
	$vetorResultados[7][$contaAmostras]=$vetorAmostraBruto[17];//material inerte
	$vetorResultados[8][$contaAmostras]=$vetorAmostraBruto[18];//outras sementes
	$vetorResultados[9][$contaAmostras]=$vetorAmostraBruto[15];//outras  cultivaRES
	$vetorResultados[10][$contaAmostras]=$vetorAmostraBruto[7]+$vetorAmostraBruto[8]+$vetorAmostraBruto[9]+$vetorAmostraBruto[10];//DET OUTRAS SEMENTES POR NUMERO
	$vetorResultados[11][$contaAmostras]=$vetorAmostraBruto[3];//plantulas normais
	$vetorResultados[12][$contaAmostras]=$vetorAmostraBruto[11];//plantulas anormais
	$vetorResultados[13][$contaAmostras]=$vetorAmostraBruto[14];//sementes mortas
    $vetorResultados[14][$contaAmostras]=$vetorAmostraBruto[12];//sementes duras
	$vetorResultados[15][$contaAmostras]=$vetorAmostraBruto[39];//envelhecimento acelerado
    $vetorResultados[16][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'TZO');//DEVERIA VIR AQUI VIABILIDADE
    $vetorResultados[17][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'TZO');//DEVERIA VIR AQUI VIGOR
    $vetorResultados[18][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'TZO');//DEVERIA VIR CLASSE DE VIGOR
    $vetorResultados[19][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'PMS');//PMS
    $vetorResultados[20][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'INF');//INFESTADAS
	
	
	/*
	//$vetorResultados[4][$contaAmostras]=$vetorAmostraBruto[35];//peneira
	//$vetorResultados[8][$contaAmostras]=$vetorAmostraBruto[8];//sementes silvestres
	//$vetorResultados[9][$contaAmostras]=$vetorAmostraBruto[7];//outras especies cultivada
	$vetorResultados[9][$contaAmostras]='oc';//outras especies cultivada
	$vetorResultados[10][$contaAmostras]=$vetorAmostraBruto[9];//toleradas
	$vetorResultados[11][$contaAmostras]=$vetorAmostraBruto[10];//proibidas
	$vetorResultados[12][$contaAmostras]=$vetorAmostraBruto[15];//outras cultivares
	$vetorResultados[13][$contaAmostras]=$vetorAmostraBruto[38];//peso de mil sementes
	//SETOR GERMINACAO
	$vetorResultados[14][$contaAmostras]=$vetorAmostraBruto[3];//plantulas normais
	$vetorResultados[15][$contaAmostras]=$vetorAmostraBruto[11];//plantulas anormais
	$vetorResultados[16][$contaAmostras]=$vetorAmostraBruto[14];//sementes mortas
	$vigorPrimeiraContagem=$objetocalculo->captura_OD_Especifica($amostraLong,'CLV');
	$vetorResultados[17][$contaAmostras]=$vetorAmostraBruto[40];//sementes infecionadas
	$vetorResultados[18][$contaAmostras]=$vetorAmostraBruto[13];//sementes dormentes
	$vetorResultados[19][$contaAmostras]=$vetorAmostraBruto[12];//sementes duras
	$vetorResultados[20][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'CLV');//CLASSIFICCCAO DE VIGOR DE PALNTULAS
	//PEGA AS OUTRAS DETERMINACOES 
	
	$vetorResultados[24][$contaAmostras]=$vetorAmostraBruto[41];//teste de frio
	$vetorResultados[25][$contaAmostras]=$vetorAmostraBruto[39];//envelhecimento acelerado
	/////////////CARCULA O VALOR CULTURAL so se for forrageira primeiro precia achar o grupo/////////////////
	$vetorResultados[26][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'VLC');//VALOR CULTURAL
    $vetorResultados[27][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'INF');;//teste sementes infestdas
    $vetorResultados[28][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'GQD');;//GERMINACAO com quebra de dormencia
    $vetorResultados[29][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'GBT');;//GERMINACAO a baixa temperatura
	if($cliente=='UFLA'):
	    $vetorResultados[28][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'CAN');;//CANTEIRO UFLA
	    $vetorResultados[29][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'DME');;//DANO MECANICO UFLA
	endif;
	
    $vetorResultados[30][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'DTU');;//DETERMINACAO DE UMIDADE
	
	
	
    $vetorResultados[31][$contaAmostras]=substr($vetorAmostraBruto[58],0,18);//procedencia
    //aqui acha a viabilidade. sE FOR SOJA OU FEIJAO ele pega de uma forma e se na ofr entao subentende que é forrageira
	$i22=$viabilidadeFinal;if($i22=="")$i22='-N-';
	//$pdf->Cell($vetorLargura[22],5,$i22,1,0,'C');//viabilidade
	//vigor
	if($vigorFinal=="" || $vigorFinal=="-N-"):
	    $i23='-N-';
        $fezTetrazolio="nao";
	else:      
        $fezTetrazolio="sim";
    	$i23=$vigorFinal;
	endif;
	//$vetorResultados[21][$contaAmostras]=$i23;//vigor em soja e feijao
	//aqui imprime 0 se existe o teste de vigor e se nao foi achado nada de p,m.u, ou d	
    //aqui atribui o valor trazido la do calculos, que pode ser uma valor numerico
    $i24=$matrizResumo[3][12];
    $i25=$matrizResumo[3][6];
    $i26=$matrizResumo[3][3];
    $i27=$matrizResumo[3][9];
    //aqui vai atribuir n ou zero caso o valor for   em branco e tiver feito ou nao o teste
	if($fezTetrazolio=="nao"):
    	if($matrizResumo[3][12]=="")$i24='-N-';//duras
    	if($matrizResumo[3][6]=="")$i25='-N-';//mecanico
    	if($matrizResumo[3][3]=="")$i26='-N-';//percevejo
    	if($matrizResumo[3][9]=="")$i27='-N-';//umidad
	endif;	
		//se fez tetrazolio
	if($fezTetrazolio=="sim"):
    	if($matrizResumo[3][12]=="")$i24='0';//duras
    	if($matrizResumo[3][6]=="")$i25='0';//mecanico
    	if($matrizResumo[3][3]=="")$i26='0';//percevejo
    	if($matrizResumo[3][9]=="")$i27='0';//umidad
	endif;//aqui testa se fez tetrazolio
	//$i24=strlen($vigorFinal);
	//$i24=$vigorFinal;
	
	//aqui imprime os resultados
    //caso ele digotou danos a $registrosTabelaTetrazolioTotal sera >0 e caso contrario   vai tentar pegar da rean
	//if($registrosTabelaTetrazolioTotal>2):
	//	$vetorResultados[22][$contaAmostras]="D=".$i24." M=".$i25;
	//	$vetorResultados[23][$contaAmostras]="U=".$i27." P=".$i26;
	//	$contador++;//este contador so serve para ele nao reimprimir o titulo das colunas 
    //else:
		
	//$vigorPrimeiraContagem=$objetocalculo->captura_OD_Especifica($amostraLong,'CLV');
    //$vetorResultados[21][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'TZO');
    $vetorResultados[22][$contaAmostras]='M/U/P='.$objetocalculo->captura_OD_Especifica($amostraLong,'MUP');
    $vetorResultados[23][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'TRI');

	//endif;
	$vetorResultados[21][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'TZO');//
	
	//setor contaminantes identico ao boletim
	//$base[$indiceVetorNomesContaminantes][1]="Outras sementes:";	
	//$indiceVetorNomesContaminantes=1;
	//so entra se tiver sislvestre
    $somaOE=$vetorAmostraBruto[7];//
    $somaSI=$vetorAmostraBruto[8];//
    $somaTO=$vetorAmostraBruto[9];//
    $somaPR=$vetorAmostraBruto[10];//
	$conteudoBasico="Amostra Nº ".$vetorAmostraBruto[1]." : ";
	if($somaOE>0):
		 //ENTRA SO SE TIVER SILV
		 //ENTRA DE QUAKQUER MANEIRA
	     $generica=new tabelagenerica();
         $generica->tabela="contaminantes,invasoras";
		 $generica->campos_valores = array(
				"inv_qtd" => NULL,
				"con_nome_cientifico" => NULL,
			);
	     $generica->extras_select =" where con_id=inv_cod_praga && inv_codigo='1OES' && inv_amostra=".$amostraLong;
	     $generica->selecionaCampos($generica);
	     while ($resgenerica = $generica->retornaDados()):
	         $conteudo="";	 
	    	 $conteudo=$resgenerica->con_nome_cientifico."(".$resgenerica->inv_qtd.")";
 			 $contaminanteAcumulado=$contaminanteAcumulado.$conteudo;
			 if($iniciando=="SIM"):
                 $iniciando="NAO"; 
			 else:	//se ja tem alguma coisa 
                 //pergunta se o tamanhao<50 
				 if(strlen($contaminanteAcumulado)>70):
					 $indiceVetorNomesContaminantes++;
			         $base[$indiceVetorNomesContaminantes][1]=$contaminanteAcumulado;	 
					 $contaminanteAcumulado="";
				 endif;
			 endif;
			 // echo("conteudo $conteudo<br>"); 
		 endwhile;

	endif;


	if($somaSI>0):
		 //ENTRA SO SE TIVER SILV
		 //ENTRA DE QUAKQUER MANEIRA
	     $generica=new tabelagenerica();
         $generica->tabela="contaminantes,invasoras";
		 $generica->campos_valores = array(
				"inv_qtd" => NULL,
				"con_nome_cientifico" => NULL,
			);
	     $generica->extras_select =" where con_id=inv_cod_praga && inv_codigo='2SIL' && inv_amostra=".$amostraLong;
	     $generica->selecionaCampos($generica);
	     while ($resgenerica = $generica->retornaDados()):
	         $conteudo="";	 
	    	 $conteudo=$resgenerica->con_nome_cientifico."(".$resgenerica->inv_qtd.")";
 			 $contaminanteAcumulado=$contaminanteAcumulado.$conteudo;
			 if($iniciando=="SIM"):
                 $iniciando="NAO"; 
			 else:	//se ja tem alguma coisa 
                 //pergunta se o tamanhao<50 
				 if(strlen($contaminanteAcumulado)>70):
					 $indiceVetorNomesContaminantes++;
			         $base[$indiceVetorNomesContaminantes][1]=$contaminanteAcumulado;	 
					 $contaminanteAcumulado="";
				 endif;
			 endif;
		 endwhile;
	endif;

	if($somaTO>0):
		 //ENTRA SO SE TIVER SILV
		 //ENTRA DE QUAKQUER MANEIRA
	     $generica=new tabelagenerica();
         $generica->tabela="contaminantes,invasoras";
		 $generica->campos_valores = array(
				"inv_qtd" => NULL,
				"con_nome_cientifico" => NULL,
			);
	     $generica->extras_select =" where con_id=inv_cod_praga && inv_codigo='3NOT' && inv_amostra=".$amostraLong;
	     $generica->selecionaCampos($generica);
	     while ($resgenerica = $generica->retornaDados()):
	         $conteudo="";	 
	    	 $conteudo=$resgenerica->con_nome_cientifico."(".$resgenerica->inv_qtd.")";
 			 $contaminanteAcumulado=$contaminanteAcumulado.$conteudo;
			 if($iniciando=="SIM"):
                 $iniciando="NAO"; 
			 else:	//se ja tem alguma coisa 
                 //pergunta se o tamanhao<50 
				 if(strlen($contaminanteAcumulado)>70):
					 $indiceVetorNomesContaminantes++;
			         $base[$indiceVetorNomesContaminantes][1]=$contaminanteAcumulado;	 
					 $contaminanteAcumulado="";
				 endif;
			 endif;
		 endwhile;
	endif;
	 
	if($somaPR>0):
		 //ENTRA SO SE TIVER SILV
		 //ENTRA DE QUAKQUER MANEIRA
	     $generica=new tabelagenerica();
         $generica->tabela="contaminantes,invasoras";
		 $generica->campos_valores = array(
				"inv_qtd" => NULL,
				"con_nome_cientifico" => NULL,
			);
	     $generica->extras_select =" where con_id=inv_cod_praga && inv_codigo='4NOP' && inv_amostra=".$amostraLong;
	     $generica->selecionaCampos($generica);
		 $joga3=0;
	     while ($resgenerica = $generica->retornaDados()):
	         $conteudo="";	 
	    	 $conteudo=$resgenerica->con_nome_cientifico."(".$resgenerica->inv_qtd.")";
 			 $contaminanteAcumulado=$contaminanteAcumulado.$conteudo;
			 if($iniciando=="SIM"):
                 $iniciando="NAO"; 
			 else:	//se ja tem alguma coisa 
                 //pergunta se o tamanhao<50 
				 if(strlen($contaminanteAcumulado)>70):
					 $indiceVetorNomesContaminantes++;
			         $base[$indiceVetorNomesContaminantes][1]=$contaminanteAcumulado;	 
					 $contaminanteAcumulado="";
				 endif;
			 endif;
		 endwhile;
	endif;
//final dos  contaminantes	 
	///$indiceVetorNomesContaminantes++;
	//$base[$indiceVetorNomesContaminantes][1]="-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O";	
if(strlen($contaminanteAcumulado)>0 && $iniciando=="NAO"):
	 $indiceVetorNomesContaminantes++;
     $base[$indiceVetorNomesContaminantes][1]=$contaminanteAcumulado;	 
endif;	

*/	
	
	
endwhile;//FINAL DO ENDWILE QUE ACHA A ID DENTRO DO DOCUMENTOSPONTE


$cota3=70;
$pdf->SetFont('Arial','',12);
$pdf->setXY($margemEsquerda,$cota3-8);
$pdf->Cell($larguraUtil,8,utf8_decode('RESULTADO DA ANÁLISE'),0,0,'C');


///////////////////VAI IMPRIMIR O INFORME JATAI//////////////////////////
	 //resultaso sao impressoas a partr da cota 3
	 $pdf->SetFont('Arial','',8);
	 $cotaLinha=$cota3;//define o começo da impressao de resultados , apenas para naoa ficar em cima da  linha divisoria muito grossa
	 $alturaLinhaResultados=5.1;//define a largura das linhas de resultados era 4
   	 $larguraColuna=20;//largura normal dos identificadors
     for($L=1;$L<=20;$L++):
		 $pdf->setXY($margemEsquerda+94,$cotaLinha);
	     $alinhamento="L";
    	 for($i=1;$i<=7;$i++):
  			 $pdf->Cell($larguraColuna,$alturaLinhaResultados,utf8_decode($vetorResultados[$L][$i]),0,0,"C");
		 endfor;
	     $cotaLinha+=$alturaLinhaResultados;
	 endfor;
	 
    #########OBSERVACOES##############################
     $cota7=175;	 
	 $pdf->SetXY($margemEsquerda,$cota7);
	 $pdf->Cell(20,$larguraDaLinha,'Obs:',0,0,'L');	
     //conteudos
	 $base[1][2]=$vetorDadosDocumento[19];
	 $base[2][2]=$vetorDadosDocumento[20];
	 $base[3][2]=$vetorDadosDocumento[21];
	 $base[4][2]=$vetorDadosDocumento[22];
	 $base[5][2]=$vetorDadosDocumento[23];
	 $base[6][2]=$vetorDadosDocumento[24];
	 $base[7][2]=$vetorDadosDocumento[25];
	 $base[8][2]=$vetorDadosDocumento[26];
	 //imprime observacoes//////////////////////////////////////////////////////////////
	 $cotaLinha=$cota7;
	 $pdf->SetFont('Arial','',7);
     $larguraDaLinha=4;
     for($L=1;$L<=8;$L++)
	 {
		 $pdf->SetXY($margemEsquerda+20,$cotaLinha);
		 $pdf->Cell($largo[1],$larguraDaLinha,utf8_decode($base[$L][2]),0,0,'L');	
	     $cotaLinha+=$larguraDaLinha;
     }	 
     //NOTAS 
	 $cota7+=40;
	 $pdf->SetXY($margemEsquerda,$cota7-5);
	 $pdf->Cell($larguraUtil,$larguraDaLinha,'=============================================================================================================================',0,0,'L');	
	 $pdf->SetXY($margemEsquerda,$cota7);
	 $pdf->Cell(20,$larguraDaLinha,'Notas:',0,0,'L');	
	 $base[1][3]="1-A presente análise tem seu valor restrito à amostra entregue ao laboratório.";
	 $base[2][3]="2-A identificação da amostra é de exclusiva responsabilidade do remetente.";
	 $base[3][3]="3-Métodos de análise segundo as RAS em vigor ou outro informado no campo observação.";
	 $base[4][3]="4-Proibido o uso do informe para comercialização.";
	 $base[5][3]="5-Após 60 dias todas as amostras serão descartadas.";
	 
	 //imprime notas e assinatura
	 $cotaLinha=$cota7;
	 $pdf->SetXY(10,$cota7);
	 //da linha 1 até linha 6 coloca fonte menor
	 $pdf->SetFont('Arial','',6);
     for($L=1;$L<=5;$L++)
	 {
		 $pdf->SetXY($margemEsquerda+20,$cotaLinha);
		 $pdf->Cell($largo[3],2,utf8_decode($base[$L][3]),0,0,'L');	
	     $cotaLinha+=4;
     }	  
	 
	 

	 //captura o rt e imprime
     $cota7+=40; 
	 $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
     $idTecnico=$vetorTecnico[5];
	 $assinaturaAtivada=$vetorTecnico[4];
     if($nivel=='PRODUTOR') $assinaturaAtivada='SIM';	 
	 if($assinaturaAtivada=='SIM'):
		 $caminhoFinalTecnico="ImagensClientes/a".$idTecnico.".JPG";
		 $pdf->Image($caminhoFinalTecnico,100,$cota7-15,61,14,'JPG');
     endif;

    $localData=$vetorCabecalho[6].", ".$vetorDadosDocumento[27];//local e data
	$base[1][3]=$vetorTecnico[1];//nome do rt
    $base[2][3]="RENASEM:".$vetorTecnico[3]."  CREA:".$vetorTecnico[2];	
    $base[3][3]=$vetorTecnico[7];  //cargo responsavel tecnico substituto etc

	 $largo[3]=65;
     $cotaLinha=$cota7;
	 $pdf->SetFont('Arial','',7);
     for($L=1;$L<=3;$L++):
	 $pdf->SetXY(100,$cotaLinha);
		 $pdf->Cell($largo[3],4,utf8_decode($base[$L][3]),0,0,'C');	
	     $cotaLinha+=4;
     endfor;	 


ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
